﻿@using Microsoft.AspNetCore.Http
@using Newtonsoft.Json;
@using Avira.MarketingResearch.Model.ViewModels;
@if (Context.Session.GetString("DisplayName") != null)
{
    var Permissions = Context.Session.GetString("PermissionList");
    var controllerName = this.ViewContext.RouteData.Values["controller"].ToString();
    var PermissionList = JsonConvert.DeserializeObject<List<PermissionsByUserRoleIdViewModel.PermissionByRoleId>>(Permissions);
    var permission = PermissionList.FirstOrDefault(x => x.PermissionName.Equals(controllerName));
    var userRoleName = Context.Session.GetString("UserRoleName");

    var IsAllowSubmit = PermissionList.Any(x => x.PermissionName.Equals("TrendSubmitButton", StringComparison.OrdinalIgnoreCase));
    var IsAllowApprove = PermissionList.Any(x => x.PermissionName.Equals("TrendApproveButton", StringComparison.OrdinalIgnoreCase));
    var IsAllowRejected = PermissionList.Any(x => x.PermissionName.Equals("TrendRejectedButton", StringComparison.OrdinalIgnoreCase));
    var IsAllowSave = PermissionList.Any(x => x.PermissionName.Equals("TrendSaveButton", StringComparison.OrdinalIgnoreCase));


    <div style="text-align: center;">
        <p>
            <button type="submit" name="actionName" value="Previous" class="btn btn-grey m-b-5">Previous</button>
            @*1)read 2)create read 3) update create read 4) delete update create read*@
            @if (permission == null || permission.PermissionLevel == 1)
            {
                <button type="submit" name="actionName" disabled value="Save" class="btn btn-grey m-b-5">Save</button>
                <button type="submit" name="actionName" disabled value="Clear" class="btn btn-grey m-b-5">Clear</button>
                <button type="submit" name="actionName" disabled value="Submitted" class="btn btn-grey m-b-5">Submit</button>
                <button type="submit" name="actionName" disabled value="Approve" class="btn btn-grey m-b-5">Approve</button>
                <button type="submit" name="actionName" disabled value="Reject" class="btn btn-grey m-b-5">Reject</button>
            }
            else
            {

                //if (userRoleName.Equals("Author") || userRoleName.Equals("Co-Author"))
                //{
                    <button type="submit" name="actionName"  @(IsAllowSave? "":"disabled") value="Save" class="btn btn-grey m-b-5">Save</button>
                    <button type="submit" name="actionName"  value="Clear" class="btn btn-grey m-b-5">Clear</button>
                    <button type="submit" name="actionName" @(IsAllowSubmit? "":"disabled") value="Submitted" class="btn btn-grey m-b-5">Submit</button>
                    <button type="submit" name="actionName" @(IsAllowApprove? "":"disabled") value="Approve" class="btn btn-grey m-b-5">Approve</button>
                    <button type="submit" name="actionName" @(IsAllowRejected? "":"disabled") value="Reject" class="btn btn-grey m-b-5">Reject</button>
                @*}
                else
                {
                    <button type="submit" name="actionName" value="Save" class="btn btn-grey m-b-5">Save</button>
                    <button type="submit" name="actionName" value="Clear" class="btn btn-grey m-b-5">Clear</button>
                    <button type="submit" name="actionName" value="Submit" class="btn btn-grey m-b-5">Submit</button>
                    <button type="submit" name="actionName" value="Approve" class="btn btn-grey m-b-5">Approve</button>
                    <button type="submit" name="actionName" value="Reject" class="btn btn-grey m-b-5">Reject</button>
                }*@
            }


            <button type="submit" name="actionName" value="Next" class="btn btn-grey m-b-5">Next</button>
        </p>
    </div>
}
